+ in Linux build scripts don't use -d flag with rm

+ add global build stat message
This commit is contained in:
otavepto 2023-12-20 23:59:35 +02:00 committed by otavepto
parent e28752420a
commit 6374c9e7f3
3 changed files with 17 additions and 5 deletions

View File

@ -297,11 +297,10 @@ function build_for () {
local linker_pic_pie='-shared'
[[ $is_exe = 1 ]] && linker_pic_pie='-pie'
local tmp_work_dir="${out_filepath##*/}"
tmp_work_dir="$build_temp_dir/${tmp_work_dir%.*}"
echo " -- Cleaning compilation directory '$tmp_work_dir/'"
rm -f -r -d "$tmp_work_dir"
rm -f -r "$tmp_work_dir"
mkdir -p "$tmp_work_dir" || {
echo [X] "Failed to create compilation directory" >&2;
return 1;
@ -404,7 +403,7 @@ fi
### x64 build
rm -f dll/net.pb.cc
rm -f dll/net.pb.h
rm -f -r -d "$build_temp_dir"
rm -f -r "$build_temp_dir"
mkdir -p "$build_temp_dir"
echo // invoking protobuf compiler - 64
"$protoc_exe_64" -I./dll/ --cpp_out=./dll/ ./dll/*.proto
@ -438,6 +437,13 @@ fi
# cleanup
rm -f dll/net.pb.cc
rm -f dll/net.pb.h
rm -f -r -d "$build_temp_dir"
rm -f -r "$build_temp_dir"
echo;
if [[ $last_code = 0 ]]; then
echo "[GG] no failures"
else
echo "[XX] general failure" >&2
fi
exit $last_code

View File

@ -94,7 +94,7 @@ echo Tools will be installed in: "$deps_dir"
echo Building with $build_threads threads
echo ===========================
echo // Recreating dir...
rm -r -d -f "$deps_dir"
rm -r -f "$deps_dir"
sleep 1
mkdir -p "$deps_dir" || {
echo "Couldn't create dir \"$deps_dir\"" >&2;

View File

@ -477,6 +477,12 @@ exit /b 1
:end_script
echo:
if %last_code% equ 0 (
echo [GG] no failures
) else (
1>&2 echo [XX] general failure
)
popd
endlocal & (
exit /b %last_code%